Up

# NSTextStorage

### Authors

Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

Copyright: (C) 1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTextStorage class
2. Software documentation for the NSObject(NSTextStorageDelegate) informal protocol

# Software documentation for the NSTextStorage class

## NSTextStorage : NSMutableAttributedString

> Declared in:
>   AppKit/NSTextStorage.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addLayoutManager:
- -beginEditing
- -changeInLength
- -delegate
- -edited:range:changeInLength:
- -editedMask
- -editedRange
- -endEditing
- -ensureAttributesAreFixedInRange:
- -fixesAttributesLazily
- -invalidateAttributesInRange:
- -layoutManagers
- -processEditing
- -removeLayoutManager:
- -setDelegate:

### addLayoutManager:

- (void) addLayoutManager: (GSLayoutManager*)obj;

Description forthcoming.

### beginEditing

- (void) beginEditing;

Description forthcoming.

### changeInLength

- (int) changeInLength;

Description forthcoming.

### delegate

- (id) delegate;

Returns the value most recently set usiong the -setDelegate: method.

### edited:range:changeInLength:

- (void) edited: (unsigned)mask range: (NSRange)old changeInLength: (int)delta;

Description forthcoming.

### editedMask

- (unsigned) editedMask;

Description forthcoming.

### editedRange

- (NSRange) editedRange;

Description forthcoming.

### endEditing

- (void) endEditing;

Description forthcoming.

### ensureAttributesAreFixedInRange:

- (void) ensureAttributesAreFixedInRange: (NSRange)range;

Description forthcoming.

### fixesAttributesLazily

- (BOOL) fixesAttributesLazily;

Description forthcoming.

### invalidateAttributesInRange:

- (void) invalidateAttributesInRange: (NSRange)range;

Description forthcoming.

### layoutManagers

- (NSArray*) layoutManagers;

Description forthcoming.

### processEditing

- (void) processEditing;

Description forthcoming.

### removeLayoutManager:

- (void) removeLayoutManager: (GSLayoutManager*)obj;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)delegate;

Set the delegate (adds it as an observer for text storage notifications) and removes any old value (removes it as an observer).
The delegate is not retained.

# Software documentation for the NSObject(NSTextStorageDelegate) informal protocol

## NSObject(NSTextStorageDelegate)

> Declared in:
>   AppKit/NSTextStorage.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -textStorageDidProcessEditing:
- -textStorageWillProcessEditing:

### textStorageDidProcessEditing:

- (void) textStorageDidProcessEditing: (NSNotification*)notification;

Description forthcoming.

### textStorageWillProcessEditing:

- (void) textStorageWillProcessEditing: (NSNotification*)notification;

Description forthcoming.

Up